View Issue Details

IDProjectCategoryView StatusLast Update
0000726OpenMPT[All Projects] Plugins / VSTpublic2016-02-11 14:05
ReporterSaga MusixAssigned ToSaga Musix 
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionOpenMPT 1.26.01.00 / libopenmpt 0.2-beta17 (upgrade first)Fixed in VersionOpenMPT 1.26.01.00 / libopenmpt 0.2-beta17 (upgrade first) 
Summary0000726: Move more CVstPlugin functionality to IMixPlugin
Description

For the purpose of possibly supporting DMO (and other) plugins in libopenmpt in the future, it would be a good idea to move more functionality from CVstPlugin to the IMixPlugin interface and then let the DMO wrapper inherit from that class rather than wrapping DMO plugins inside VST plugins.

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Activities

Saga Musix

Saga Musix

2015-11-24 01:35

administrator   ~0002194

Last edited: 2015-11-24 16:09

View 2 revisions

r5790 is the first step by making the rest of the program only use IMixPlugin rather than CVstPlugin.
Next step would be to create CDmoPlugin.

Issue History

Date Modified Username Field Change
2015-11-20 16:56 Saga Musix New Issue
2015-11-20 16:56 Saga Musix Assigned To => Saga Musix
2015-11-20 16:56 Saga Musix Status new => assigned
2015-11-24 01:35 Saga Musix Note Added: 0002194
2015-11-24 16:09 Saga Musix Note Edited: 0002194 View Revisions
2016-02-11 14:05 Saga Musix Status assigned => resolved
2016-02-11 14:05 Saga Musix Resolution open => fixed
2016-02-11 14:05 Saga Musix Fixed in Version => OpenMPT 1.26.01.00 / libopenmpt 0.2-beta17 (upgrade first)
2016-02-11 14:05 Saga Musix Target Version => OpenMPT 1.26.01.00 / libopenmpt 0.2-beta17 (upgrade first)
2016-11-20 17:48 Saga Musix Category VST => Plugins (VST)
2016-11-20 17:48 Saga Musix Category Plugins (VST) => Plugins / VST